Skip to main content
POST
/
products
/
cpu
List / search CPUs
curl --request POST \
  --url https://api.comparebench.com/products/cpu \
  --header 'Content-Type: application/json' \
  --data '
{
  "page": 1,
  "limit": 20
}
'
{
  "results": [
    {
      "cpuid": 142,
      "make": "Intel",
      "model": "Core i9-14900K",
      "cores": 24,
      "threads": 32,
      "base_clock": 3200,
      "url_slug": "intel-core-i9-14900k"
    },
    {
      "cpuid": 138,
      "make": "Intel",
      "model": "Core i7-14700K",
      "cores": 20,
      "threads": 28,
      "base_clock": 3400,
      "url_slug": "intel-core-i7-14700k"
    }
  ],
  "total": 48
}
Both GET and POST are accepted. Use POST when you need filtering or pagination — the request body is ignored on GET. All filter fields are optional. Only include the ones you need. Use total from the response to drive pagination — e.g. with limit: 20, total pages = ceil(total / 20).

Body

application/json
page
integer
required

Page number (1-indexed)

Example:

1

limit
integer
required

Items per page

Example:

20

Full-text search query

sort_by
enum<string>

Field to sort by. Accepted values: make, manufacturer, price

Available options:
make,
manufacturer,
price
sort_dir
enum<string>
default:asc
Available options:
asc,
desc
min_price
number

Minimum price filter

max_price
number

Maximum price filter

makes
string[]

CPU manufacturer filter (e.g. ["Intel", "AMD"])

sockets
string[]

CPU socket types (e.g. ["LGA1700", "AM5"])

ram_types
string[]

Supported RAM types (e.g. ["DDR5"])

min_cores
integer

CPU minimum core count

max_cores
integer

CPU maximum core count

min_frequency_mhz
integer

CPU minimum base clock in MHz

max_frequency_mhz
integer

CPU maximum base clock in MHz

manufacturers
string[]

GPU chipset manufacturer (e.g. ["NVIDIA", "AMD"])

min_vram_gb
integer

GPU minimum VRAM in GB

max_vram_gb
integer

GPU maximum VRAM in GB

vram_sizes
integer[]

Specific VRAM sizes to filter by (GB)

memory_types
string[]

RAM memory type (e.g. ["DDR5"])

min_gb
integer

RAM minimum capacity in GB

max_gb
integer

RAM maximum capacity in GB

memory_sizes
integer[]

Specific RAM capacity sizes to filter by (GB)

chipset_mans
string[]

Motherboard chipset manufacturer (e.g. ["Intel", "AMD"])

form_factors
string[]

Motherboard form factor (e.g. ["ATX", "mATX"])

wifi_only
boolean
default:false

Only return motherboards with built-in WiFi

Response

200 - application/json

Paginated CPU list

results
object[]
total
integer

Total matching CPUs (use for pagination)